# [BETA] Detach volume

```http
DELETE /compute/v1/tenants/{tenantId}/volumes/{volumeId}/attach
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `DetachVolume`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `update:compute:volumes`

Detaches a volume from its current virtual machine

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `volumeId` (string, required) — Volume ID

## Responses

### 200 — OK

Content type: `application/json`

- `id` (string)
- `jobId` (string)

### 204 — Volume not attached

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)
